X2Go Bug report logs - #536
PyHoca-GUI: Windows: vcxsrv.exe failed to start due to missing zlib1.dll

Package: pyhoca-contrib; Maintainer for pyhoca-contrib is X2Go Developers <x2go-dev@lists.x2go.org>; Source for pyhoca-contrib is src:pyhoca-contrib.

Reported by: Michael DePaulo <mikedep333@gmail.com>

Date: Mon, 7 Jul 2014 00:30:02 UTC

Severity: normal

Done: Michael DePaulo <mikedep333@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#536; Package pyhoca-contrib. (Mon, 07 Jul 2014 00:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Mon, 07 Jul 2014 00:30:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: submit@bugs.x2go.org
Subject: PyHoca-GUI: Windows: vcxsrv.exe failed to start due to missing zlib1.dll
Date: Sun, 6 Jul 2014 20:25:48 -0400
Package: pyhoca-contrib

When attempting to start PyHoca-GUI 0.5.0.0-pre01 on a Windows XP SP3
VM without much software installed, I get the error message:
vcxsrv.exe - Unable to Locate Component
This application has failed to start because zlib1.dll was not found.
Re-installing the application may fix the problem.

It appears that this library is not necessary to have under the vcxsrv
subfolder for x2goclient because it is already in the x2goclient
folder itself.

However, for PyHoca-GUI, the library is necessary in the vcxsrv
subfolder for Pyhoca-GUI because the PyHoca-GUI folder does not
contain it.

I'm about to commit a fix.


Reply sent to Michael DePaulo <mikedep333@gmail.com>:
You have taken responsibility. (Mon, 07 Jul 2014 00:55:01 GMT) (full text, mbox, link).


Notification sent to Michael DePaulo <mikedep333@gmail.com>:
Bug acknowledged by developer. (Mon, 07 Jul 2014 00:55:01 GMT) (full text, mbox, link).


Message #10 received at 536-done@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 536-done@bugs.x2go.org
Subject: Fixed, PyHoca-GUI 0.5.0.0-pre02 released with fix
Date: Sun, 6 Jul 2014 20:53:23 -0400
I fixed this in commit be8cd93 to pyhoca-contrib.

PyHoca-GUI for Windows 0.5.0.0-pre02 was released with this fix.


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Mon, 04 Aug 2014 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Aug 18 06:49:52 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.